Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi.sax
Class XMIConsumer

    java.lang.Object
      org.netbeans.api.xmi.sax.XMIConsumer

All Implemented Interfaces:
  ContentHandler

    public abstract class XMIConsumer

extends Object
implements ContentHandler

XMI Content Handler.

Constructor Summary
`XMIConsumer()`

Method Summary
`abstract XMIInputConfig` | `getConfiguration()` Returns configuration object of this XMIConsumer.
`abstract javax.jmi.reflect.RefPackage` | `getExtent()` Returns the target package extent.
`abstract void` | `setExtent(javax.jmi.reflect.RefPackage extent)` Sets target extent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### XMIConsumer

    public XMIConsumer()

Method Detail

### setExtent

    public abstract void setExtent(javax.jmi.reflect.RefPackage extent)

  Sets target extent.

  Parameters:
    `extent` - Target package extent.

### getExtent

    public abstract javax.jmi.reflect.RefPackage getExtent()

  Returns the target package extent.

  Returns:
    Target package extent.

### getConfiguration

    public abstract XMIInputConfig getConfiguration()

  Returns configuration object of this XMIConsumer. Any changes to the returned object will have immediate effect on the XMIConsumer's configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.